Skip to main content
GET
/
v2
/
tasks
/
{task_id}
Get a task
curl --request GET \
  --url https://api.attio.com/v2/tasks/{task_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": {
      "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
      "task_id": "649e34f4-c39a-4f4d-99ef-48a36bef8f04"
    },
    "content_plaintext": "Follow up on current software solutions",
    "deadline_at": "2023-01-01",
    "is_completed": false,
    "completed_at": "2022-11-21T13:22:49.061281000Z",
    "linked_records": [
      {
        "target_object_id": "people",
        "target_record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d"
      }
    ],
    "assignees": [
      {
        "referenced_actor_type": "workspace-member",
        "referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
      }
    ],
    "created_by_actor": {
      "type": "workspace-member",
      "id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
    },
    "created_at": "2022-11-21T13:22:49.061281000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

task_id
string<uuid>
required

The ID of the task.

Example:

"649e34f4-c39a-4f4d-99ef-48a36bef8f04"

Response

Success

Success

data
object
required